#変量の標準化
print('【変量の標準化】')
#準備
import numpy as np

#データの準備
income_data=np.array(
[['北海道',2742.2],['青森県',2507.4],['岩手県',2841.1],['宮城県',2944.9],
 ['秋田県',2697.2],['山形県',2896.6],['福島県',2942.8],['茨城県',3327.3],
 ['栃木県',3479.2],['群馬県',3282.9],['埼玉県',3046.8],['千葉県',3115.8],
 ['東京都',5414.8],['神奈川県',3267.8],['新潟県',2915.9],['富山県',3398.1],
 ['石川県',3022.7],['福井県',3279.8],['山梨県',3159.7],['長野県',3009.8], 
 ['岐阜県',2919.0],['静岡県',3431.6],['愛知県',3727.8],['三重県',3120.9], 
 ['滋賀県',3318.5],['京都府',2982.7],['大阪府',3189.5],['兵庫県',2967.7],
 ['奈良県',2631.5],['和歌山県',2912.7],['鳥取県',2515.3],['島根県',2667.3],
 ['岡山県',2769.1],['広島県',3109.1],['山口県',3198.5],['徳島県',3092.4],
 ['香川県',3013.5],['愛媛県',2658.0],['高知県',2643.8],['福岡県',2885.3],
 ['佐賀県',2752.6],['長崎県',2629.2],['熊本県',2667.4],['大分県',2713.7],
 ['宮崎県',2467.6],['鹿児島県',2508.5],['沖縄県',2391.0]])

#標準化用の配列を用意
s_data = income_data

#県民所得データの取り出し
earns = income_data[:, 1].astype(float)

#平均値、標準偏差の計算
m = np.mean(earns)
s = np.std(earns, ddof=0) 
print('平均値m＝', np.round(m, 1), end='、')
print('標準偏差s＝', np.round(s, 1))

#標準化 
s_earns = np.round((earns - m) /s,2)
s_data[:, 1] = s_earns.astype(str) 

#標準化されたデータを表示
print('標準化された県民所得') 
print(s_data)

