#共分散と相関係数の算出
print('【共分散と相関係数】')
#準備
import numpy as np

#データをセット
nikkeidow=np.array(
[['11月29日',28283,34899],['11月30日',27821,35135],
 ['12月1日',27935,34483],['12月2日',27753,34022],
 ['12月3日',28029,34639],['12月6日',27927,34580],
 ['12月7日',28455,35227],['12月8日',28860,35719],
 ['12月9日',28725,35754]])

#nikkei平均とdow平均の取り出し
nikkei = nikkeidow[:, 1].astype(int)
dow = nikkeidow[:, 2].astype(int)

#分散共分散行列、相関行列を算出
cov_matrix = np.cov(nikkei, dow, ddof=0) 
corr_matrix = np.corrcoef(nikkei, dow) 

#分散共分散行列、相関行列の要素[0][1]を取り出す
cov_nd = cov_matrix[0][1] 
corr_nd = corr_matrix[0][1] 

#共分散、相関係数の表示
print('共分散＝', np.round(cov_nd))
print('相関係数＝', np.round(corr_nd,2))
