#歪んだサイコロを振るシミュレーション
print('【確率変数と確率分布】')
#準備
import numpy as np

#サイコロの目の定義
dice = np.arange(1, 7)

#確率質量関数pmfを定義
pmf0 = np.array(
     [1/21,2/21,3/21,4/21,5/21,6/21]) 

#上記pmfで定めたサイコロをne回振る
ne=10000
x = np.random.choice(a=dice, size=ne, p=pmf0) 

#相対度数の分布を算出
rfreq = [np.count_nonzero(x == i) /ne for i in dice]

#相対度数の分布を表示
print('確率質量関数と相対度数の分布')
print('　　　目　　： ', end='')
print('1', '2', '3', '4', '5', '6', sep='      ')
np.set_printoptions(precision=4, floatmode='fixed')
print('確率質量関数：', end='')
print(pmf0)
print('相対度数分布：', end='')
print(np.array(rfreq))

