#トランプのカードを引くシミュレーション
print('【確率変数の平均値・分散】')
#準備
import numpy as np

#引く回数の設定（nrowは表示行数、nclmnは表示列数、nrow*nclmnが試行回数）
(nrow, nclmn) = (1000, 10) 

#初期設定（mはマーク、nはナンバーの頭文字）
cardm = [' ♠', ' ♣', ' ♥', ' ♦']
cardn = [' 1', ' 2', ' 3', ' 4', ' 5',
           ' 6', ' 7', ' 8', ' 9', '10']
cardx = np.arange(1,11) 

#シミュレーション（カードをnrow*nclmn回引く）
print('試行を実行')
trials = np.zeros((nrow, nclmn))
for row in range(nrow):                     # rowは表示行数(0からnrow未満)
  card = ''
  for clmn in range(nclmn):                 # jは表示桁(0からnclmn未満)
    mi = np.random.randint(0, 4)            # miは♠♣♥♦のmarkインデックス
    ni = np.random.randint(0, 10)           # niは1～10のnumberインデックス
    card += cardm[mi] + cardn[ni] + '  '    # cardに1行分の試行結果をセット
    trials[row][clmn] = cardx[ni]           # cardxに引いたカード番号
  print(card) 

#資料から得られる平均値と分散
mp = np.mean(trials) 
print('資料から得た平均値＝', np.round(mp,3))
vp = np.var(trials,ddof=0)
print('資料から得た分散　＝', np.round(vp, 3))

#確率論で定義される平均値
ptable = np.repeat(1/10,10)
m0 = np.dot(cardx, ptable)                    # 式(2)を利用
print('確率から得た平均値＝', np.round(m0,3))

#確率論で定義される分散
v0 = np.dot(cardx*cardx, ptable) - m0*m0      #式(4)を利用
print('確率から得た分散　＝', np.round(v0, 3))

