#一様分布のシミュレーション（針の回転）
print('【一様分布のシミュレーション】') 
#準備
import numpy as np
import matplotlib.pyplot as plt
from scipy.stats import uniform

#試行の準備
(x1, x2) = (0, 10)
ne=1000

#試行のシミュレーション
trials = uniform.rvs(loc=x1, scale=x2, size=ne) 
print('試行結果')
print(np.round(trials, 3)) 

#針先の位置の度数分布表作成
print('相対度数分布表')
nbin=25
hist,edges = np.histogram(trials,range=(x1,x2),bins=nbin, density=True) 
print('階級の区切り')
print(np.round(edges,2))            #階級の表示
print('相対度数')
print(np.round(hist, 2))            #相対度数分布の表示

#描画の準備
fig = plt.figure()
ax = fig.add_subplot(1, 1, 1)

#折れ線グラフの設定
ax.set_title('histogram')
ax.set_ylim(0, 0.4)
wbin=(x2-x1)/nbin
ax.plot(edges[:-1]+wbin/2,hist)

#描画実行
plt.show()

