#ベルヌーイ分布
print('【ベルヌーイ分布】')
#準備
import numpy as np
from scipy.stats import randint
import matplotlib.pyplot as plt

#試行回数のセット
ne= 1000

# サイコロをne回振り、3以上なら1、他は0を与える
trials=np.zeros(ne)
for i in range(ne):
  if randint.rvs(1, 7) >= 3:
     trials[i] = 1
  
#相対度数分布を作成
x = [1-np.sum(trials)/ne, np.sum(trials)/ne]

#描画の準備
fig = plt.figure()
ax1 = fig.add_subplot(1, 2, 1) 

#相対度数分布を棒グラフで描画
ax1.set_title('relative frequency')
ax1.set_ylim(0, 1)
location = ['0', '1']
ax1.bar(location, x);   #棒グラフの描画

#ベルヌーイ分布を棒グラフで描画
ax2 = fig.add_subplot(1, 2, 2)
ax2.set_title('Bernoulli distribution') 
ax2.set_ylim(0, 1)
pb = [1/3, 2/3] 
ax2.bar(location, pb);   #棒グラフの描画

#描画する
plt.show()

