#正規分布のシミュレーション
print('【正規分布のシミュレーション】')
#準備
import numpy as np
from scipy.stats import norm, randint
import matplotlib.pyplot as plt

#シミュレーションの準備
(ss, ne) = (10, 5000)

#サイコロをss回振る試行をne回行う
trials=randint.rvs(1, 7, size=(ne, ss)) 

#1回の試行で得られる「目Xの平均値」を記録
m=np.array(
    [np.mean(trials[i]) for i in range(ne)])

#標本平均から母平均3.5を引く
d = m - 3.5

#相対度数分布の表作成
#print('●相対度数')
(x1, x2) = ( -4, 4)
nbin = 25
wbin = (x2-x1) / nbin
hist, edges = np.histogram(d, range=(x1,x2),bins=nbin, density=True) 

#描画の準備
fig = plt.figure()
ax = fig.add_subplot(1, 1, 1)

#相対度数を描画
ax.set_ylim(0, 1)
ax.bar(edges[:-1]+wbin/2,hist,color='c', label='relative freq.') 

#正規分布のグラフ
x = np.linspace(x1, x2, 101)
y = norm.pdf(x, loc=0, scale=np.sqrt(7/24))
ax.plot(x, y, color='r', label='normal dist.')

# 表示する
ax.legend()
plt.show()

