#二項分布と正規分布のグラフ
print('【二項分布の正規分布近似】')
#準備
import numpy as np
from scipy.stats import norm, binom
import matplotlib.pyplot as plt

#二項分布のパラメータ設定
(n, p) = (20, 0.3)
mu, var = binom.stats(n, p, moments='mv')
sigma=np.sqrt(var)

#Matplotlibの準備
fig = plt.figure()
ax = fig.add_subplot(1, 1, 1)

#二項分布のグラフ
ax.set_ylim(0, 0.3)
k = np.arange(0, n+1) 
ax.plot(k, binom.pmf(k, n, p),label=' binomial')

#正規分布のグラフ
x = np.linspace(0, n, 101) 
ax.plot(x, norm.pdf(x, mu, sigma),label='normal')

# 表示する
ax.legend()
plt.show()
