#不偏分散のシミュレーション
print('【不偏性と不偏分散】')
#準備
import numpy as np
from scipy.stats import norm

#母集団分布を定義
(mu, sigma ) = (170, 4) 

#標本の大きさssと抽出回数neを定義
ss = 4     #sample size=4
ne = 1000

#標本抽出（4人の身長を1000セット抽出）
x = norm.rvs(mu, sigma, size=(ne,ss)) 

#標本分散と不偏分散の算出
var0 = np.array(
    [np.var(x[i],ddof=0) for i in range(1000)])   #標本分散をne個算出
var1 = np.array(
    [np.var(x[i],ddof=1) for i in range(1000)])   #不偏分散をne個算出

#標本分散と不偏分散を最初の7個だけ表示
for i in range(1000): 
   if i < 7: 
     print('標本',i + 1,'：',np.round(x[i], 1), end = '')
     print('　標本分散＝',np.round(var0[i], 1), end = '')
     print('、不偏分散＝',np.round(var1[i], 1))
print(' … … … … … …')

#標本分散と不偏分散の平均値を算出
var0_mean = np.mean(var0)
var1_mean = np.mean(var1) 

#標本分散と不偏分散の平均値の表示
print('　　母分散　　＝',np.round(sigma**2, 1)) 
print('標本分散の平均＝',np.round(var0_mean, 1))
print('不偏分散の平均＝',np.round(var1_mean, 1))
