#区間推定のシミュレーション
print('信頼区間とその正誤') 
#準備
from scipy.stats import norm

#母集団の設定
(mu, sigma ) = (30000, 5000)

#大きさ1の標本をne個抽出
ne=1000
samples= norm.rvs(mu, sigma, size=ne)

#信頼度と両側5％点を設定
p_con = 0.95  #信頼度(confidence) 
q0 = 1.96

#標本ごとに信頼区間を算出
nr=0          #nrは正答カウンター
for i in range(ne): 
   #信頼区間の端点を算出
   r1=samples[i] - q0*sigma
   r2=samples[i] + q0*sigma
   #判定
   if r1<mu and mu<r2:
      nr+=1     #正しければ正答カウンターに+1

   #結果の表示
   print('標本', i+1, end='：')
   print(round(r1),'≦x≦',round(r2),end=' ')
   #推定の正誤判定
   if r1<mu and mu<r2:
      print('正')
   else:
      print('誤')

print('\n正しい区間推定の割合＝', round(nr/ne,3))

