#分散既知の正規母集団の母平均の区間推定
print('【分散既知の正規母集団の母平均の区間推定】')
#準備
import math
import numpy as np
from scipy.stats import norm

#仮定の設定
sigma=5000

#抽出した標本を入力
sample = [39160, 46246, 51803, 45780, 47073, 
          53456, 35317, 49443 ,48694, 46343,
          43002, 49164, 52201, 47548, 39584,
          42217, 56010, 51244, 42354, 47709,
          48037, 48947, 39313, 48206, 47779]
ss = len(sample)    #sample size

#標本平均の算出
ms=np.mean(sample)

#信頼区間の算出
p_con=0.95  #信頼度(confidence)
q0=1.96
r1 = ms - q0*sigma/np.sqrt(ss) 
r2 = ms+ q0*sigma/np.sqrt(ss)

#信頼区間の丸め処理
r1 = math.floor(r1)
r2 = math.ceil(r2)

#結果表示
print('信頼度', int(100*p_con),end='') 
print('％の信頼区間：', r1, '≦μ≦', r2)
