#大きな標本による母平均の区間推定
print('【大きな標本による母平均の区間推定】')
#準備
import numpy as np

#抽出した標本を入力
sample = [62000, 52000, 46000, 46000, 55000,
          71000, 47000, 63000, 52000, 67000,
          57000, 43000, 42000, 64000, 75000,
          68000, 47000, 25000, 60000, 55000,
          64000, 61000, 64000, 54000, 52000,
          58000, 68000, 42000, 61000, 45000,
          64000, 48000, 65000, 41000, 54000]
ss = len(sample)    #sample size

#標本平均・不偏標準偏差の算出
ms = np.mean(sample) 
stdev1 = np.std(sample, ddof=1) 
print('標本平均＝', round(ms))
print('不偏標準偏差＝',round(stdev1))

#信頼度とそれに対する係数を算出
p_con = 0.95  #信頼度（confidence）
q0 = 1.96

#信頼区間の両端を算出
r1 = ms - q0 * stdev1/np.sqrt(ss)
r2 = ms + q0 * stdev1/np.sqrt(ss)

#結果表示
print('信頼度', int(100*p_con),end='') 
print('％の信頼区間：', end='')
print(round(r1), '≦μ≦', round(r2))
