#大きな標本による母比率の区間推定
print('【大きな標本による母比率の区間推定】')
#準備
import numpy as np

#標本抽出
sample = [
   1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 1, 1, 0, 0,
   0, 1, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1,
   0, 1, 1, 0, 1, 0, 1, 0, 0, 0, 1, 0, 1, 0, 0, 0, 1, 1, 0, 0,
   0, 0, 1, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0,
   0, 1, 0, 0, 1, 1, 0, 1, 0, 1, 0, 0, 1, 0, 0, 0, 1, 0, 1, 0 ]
ss = len(sample)   #sample size

#標本平均（＝標本比率）
ps = np.mean(sample) 
print('標本比率＝', ps)

#信頼度とそれに対する係数を設定
p_con = 0.95    #信頼度（confidence）
q0 = 1.96

#信頼区間を算出
r1 = ps - q0 * np.sqrt(ps*(1-ps) /ss)
r2 = ps + q0 * np.sqrt(ps*(1-ps) /ss)
                      
#結果表示
print('信頼度', int(100*p_con),end='') 
print('％の信頼区間：', end='')
print(round(r1,2), '≦母比率≦', round(r2,2))

