#正規母集団を仮定した母分散の区間推定
print('【正規母集団の母分散の区間推定】')
#準備
import numpy as np
from scipy.stats import chi2

#標本抽出
sample = [30.0,29.9,30.0,30.0,30.0,30.0,
            30.0,30.0,30.1,29.9,30.0,29.8,
            30.2,30.0,29.9,29.9,29.9,30.1,
            29.9,30.2,30.1,30.0,30.0,30.0,
            30.0,29.9,29.9,30.2,29.9,30.1]
ss=len(sample)   #sample size

#不偏分散の算出
v1 = np.var(sample, ddof=1)
print('不偏分散=', round(v1, 4))

#信頼度の設定
p_con=0.95

#パーセント点を算出
p0 = (1- p_con) /2
k1 = chi2.ppf(p0, ss-1)     #下側％点
k2 = chi2.ppf(1-p0, ss-1)   #上側％点

#信頼区間の両端を算出
r1= (ss - 1) * v1/k2
r2= (ss - 1) * v1/k1

#結果表示
print('信頼度', int(100*p_con), end='') 
print('％の信頼区間：', end='')
print(round(r1, 4), '≦母分散≦', round(r2,4 ))
