#検定の基本
print('【分散既知の正規母集団の母平均の検定】')
#準備
import math
import numpy as np

#モデルの仮定
sigma=5000

#帰無仮説と有意水準の設定
mu0=44611       #帰無仮説
level=0.05    #有意水準
print('有意水準＝{:.0%}'.format(level))

#標本抽出
sample = [41951,51356,54441,44520,45904, 
            54008,45756,36956,47456,49999]
ss = len(sample)   #標本の大きさ（sample size）をssに

#検定統計量の標本値
m = np.mean(sample)

#標準正規分布の％点設定
p_point = 1.65 

#棄却域を算出
r2 = mu0 + p_point * sigma/np.sqrt(ss) 

#丸め処理
r2= math.ceil(r2)
print('棄却域：x_bar =>', r2)

#検定
print('標本平均の値＝',m)
print('検定結果：',end='')
if m<r2: 
  print('採択')
else:
  print('棄却')

