# t検定の方法
print('【母分散未知のときの母平均の検定】')
#準備
import numpy as np
from scipy.stats import t

#帰無仮説と有意水準の設定
mu0 = 4150        #帰無仮説
level=0.05        #有意水準
print('有意水準＝{:.0%}'.format(level))

#標本抽出
sample = [4850, 4750, 2890, 5820, 5170,
          4160, 4960, 5260, 5010, 4130,
          5220, 4000, 5670, 4040, 5830, 
          4770, 4590, 3770, 5200, 4980 ]
ss = len(sample)   #sample size

#棄却域の端点の算出
p = 1-level
df = ss-1       #自由度
p_point = t.ppf(p, df)
print('棄却域：t≧', round(p_point, 2))

#統計量の算出
ms = np.mean(sample)
sd1 = np.std(sample, ddof=1)
print('標本平均＝',ms,'、不偏標準偏差＝',round(sd1,1))

# t値算出
ts = (ms-mu0) / (sd1 / np.sqrt(ss))
print('t値＝', round(ts, 2))

 #検定
print('検定結果：', end='')
if ts < p_point : 
  print('採択')
else:
  print('棄却')
