# t検定の方法
print('【母分散未知のときの母平均の検定】')
#準備
import numpy as np
from scipy.stats import t

#帰無仮説と有意水準の設定
mu0 = 4150        #帰無仮説
level=0.05        #有意水準
print('有意水準＝{:.0%}'.format(level))

#標本抽出
sample = [4850, 4750, 2890, 5820, 5170,
          4160, 4960, 5260, 5010, 4130,
          5220, 4000, 5670, 4040, 5830, 
          4770, 4590, 3770, 5200, 4980 ]
ss = len(sample)   #sample size

# t値とp値の算出
from scipy.stats import ttest_1samp
ts, ps = ttest_1samp(sample, mu0)
print('t値＝', round(ts, 2))
ps = ps /2  #両側検定p値を右側用に変更
print('p値＝', round(ps, 5))

# p値による検定
print('検定結果：', end='')
if ps > level:
  print('採択')
else: 
  print('棄却')
