#母比率の検定
print('【母比率の検定】')
#準備
import numpy as np
from scipy.stats import norm

#帰無仮説と有意水準の設定
p0 = 21.3/100     #帰無仮説
level = 0.05      #有意水準
print('有意水準＝{:.0%}'.format(level))

#標本抽出（既婚を0、未婚を1で表現）
sample = [0, 1, 0, 0, 1, 0, 0, 1, 0, 1,
          0, 1, 0, 0, 0, 0, 1, 0, 0, 1,
          1, 1, 1, 0, 1, 0, 0, 1, 0, 0 ] 
ss = len(sample)   #sample size

#基本統計量
var0 = p0*(1-p0) / ss
sd0 = np.sqrt( var0 )

#検定統計量の算出
ps = np.mean( sample )
print('標本平均＝', ps)

#片側検定の％点の設定
p_point = 1.65

#棄却域を算出
r2 = p0+ p_point * sd0
print('棄却域：p≧', round(r2,3))

#検定の実際
print('検定結果：', end='')
if ps < r2:
  print('採択')
else:
  print('棄却')
