#χ2分布を用いた母分散の検定
print('【χ2分布を用いた母分散の検定】')
#準備
import numpy as np
from scipy.stats import chi2

#帰無仮説と有意水準
var0 = 0.010     #帰無仮説
level = 0.05     #有意水準
print('有意水準＝{:.0%}'.format(level))

#標本抽出
sample = [30.15, 29.78, 29.97, 29.98, 30.01, 29.92, 
          29.88, 29.98, 30.06, 30.18, 29.98, 30.06,
          30.05, 29.98, 29.98, 30.04, 29.83, 30.07,
          30.06, 30.17, 29.89, 29.95, 29.97, 29.88,
          29.78, 29.90, 29.95, 30.23, 29.91, 30.16 ]
ss = len(sample)
print('標本の大きさ＝', ss)

#基本統計量
vars = np.var(sample, ddof=1) 
print('不偏分散＝', round(vars, 4))

#χ2の値算出
chisq = (ss - 1) * vars / var0
print('chisq値＝', round(chisq, 2))

#p値を算出
p_value=chi2.cdf(chisq,ss-1) 
ps = 1 - p_value      #右側検定用に補正
print('p値＝', np.round(ps,3))

#検定
print('検定結果：', end=' ')
if ps > level: 
  print('採択')
else:
  print('棄却')
