#母比率の差の検定
print('【母比率の差の検定】')
#準備
import numpy as np
from scipy.stats import norm

#水準の設定
level=0.05
print('有意水準＝{:.0%}'.format(level))

#標本抽出
sampleA = [0, 0, 1, 1, 0, 1, 1, 1, 1, 1,
             1, 0, 1, 0, 1, 0, 0, 1, 0, 1,
             0, 0, 1, 0, 0, 0, 0, 1, 0, 1,
             0, 0, 1, 1, 1]
sampleB = [1, 0, 0, 0, 0, 0, 0, 0, 0, 1,
             0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 
             1, 0, 0, 0, 0, 0, 0, 0, 1, 1]
ssA = len(sampleA)    #sample size A
ssB = len(sampleB)    #sample size B
print('標本の大きさ：ssA=', ssA, '、ssB=', ssB)

#基本統計量
pA = np.mean(sampleA) 
pB = np.mean(sampleB)
print('pA=',round(pA,2), '  pB=', round(pB,2))

#検定統計量の算出
p_bar = (ssA*pA + ssB*pB) / (ssA+ssB)
z = (pA-pB) / np.sqrt(p_bar * (1-p_bar) * (1/ssA + 1/ssB))
print('z=', np.round(z, 2))

#棄却域を表示
p_point = 1.96 

#棄却域を提示
print('棄却域 |Z|>=', round(p_point, 2))

#検定
print('検定結果：', end='')
if np.abs(z) < p_point:
  print('採択')
else:
  print('棄却')

