#等分散の検定
print('【等分散の検定】')
#準備
import numpy as np
from scipy.stats import f

#有意水準の設定
level = 0.05
print('有意水準＝{:.0%}'.format(level))

#標本抽出
sampleA = [49.89,49.67,50.15,49.54,50.88,
           49.75,49.67,50.17,50.06,50.35, 
           50.37,49.82,49.53,50.30,50.15,
           49.59,49.66,49.66,49.69,50.57]
sampleB = [49.99,50.31,50.43,49.87,49.82,
          49.58,50.09,50.29,50.01,50.29, 
          49.74,50.46,50.06,50.26,50.61,
          49.74,49.58,49.91,50.09,49.95,
          49.55,50.28,50.09,50.18,49.66]
ssA = len(sampleA)     #sample siz A
ssB = len(sampleB)     #sample siz B
print('標本Aの大きさ＝', ssA, '、標本Bの大きさ＝', ssB) 

#基本統計量
varA= np.var(sampleA, ddof=1)
varB= np.var(sampleB, ddof=1)
print('標本Aの分散＝', round(varA,2), end='、')
print('標本Bの分散＝', round(varB,2))

#検定統計量の算出
fs = varA / varB
print('F値＝', round(fs,2))

#棄却域を算出
(dfn, dfd)=(ssA - 1, ssB - 1)
p_point = f.ppf(1 - level, dfn, dfd) 
print('棄却域 F≧', round(p_point, 2))

#検定
print('検定結果：', end='')
if fs < p_point:
  print('採択')
else:
  print('棄却')

