# t分布を用いた母平均の区間推定
print('【t分布を用いた区間推定】')
#準備
import numpy as np
from scipy.stats import t

#標本抽出
sample = [5240, 4670, 4880, 4200, 4320,
          3820, 4630, 3950, 5220, 3960, 
          6250, 5020, 6410, 4110, 3830,
          3260, 4260, 6080, 4850, 5090]
ss = len(sample)    #sample size

#標本平均・不偏標準偏差の算出
ms = np.mean(sample)
stdev1 = np.std(sample, ddof=1)

#信頼度を与える
p_con=0.95  #信頼度（confidence）

#信頼区間の両端を算出（5章章末解説）
df0= ss-1              #自由度
se=stdev1/np.sqrt(ss)  #標準誤差
r1, r2 = t.interval(alpha=p_con, df = df0, loc=ms, scale=se)

#結果表示
print('信頼度', int(100*p_con),end='') 
print('％の信頼区間：', end='')
print(round(r1), '≦μ≦', round(r2))
